searchNodes=[{"doc":"Encodes data into YAML documents using the Ymlr.Encoder. Every document starts with a separator (&quot;---&quot;) and can be enhanced with comments.","ref":"Ymlr.html","title":"Ymlr","type":"module"},{"doc":"Encodes a given data as YAML document with a separator (&quot;---&quot;) at the beginning.Optinally you can pass a tuple with comment(s) and data as first argument.Examplesiex&gt; Ymlr.document(%{a: 1}) {:ok, &quot;---\\na: 1\\n&quot;} iex&gt; Ymlr.document({&quot;comment&quot;, %{a: 1}}) {:ok, &quot;---\\n# comment\\na: 1\\n&quot;} iex&gt; Ymlr.document({[&quot;comment 1&quot;, &quot;comment 2&quot;], %{a: 1}}) {:ok, &quot;---\\n# comment 1\\n# comment 2\\na: 1\\n&quot;} iex&gt; Ymlr.document({[], {&quot;a&quot;, &quot;b&quot;}}) {:error, &quot;The given data {\\&quot;a\\&quot;, \\&quot;b\\&quot;} cannot be converted to YAML.&quot;}","ref":"Ymlr.html#document/1","title":"Ymlr.document/1","type":"function"},{"doc":"Encodes a given data as YAML document with a separator (&quot;---&quot;) at the beginning. Raises if it cannot be encoded.Optinally you can pass a tuple with comment(s) and data as first argument.Examplesiex&gt; Ymlr.document!(%{a: 1}) &quot;---\\na: 1\\n&quot; iex&gt; Ymlr.document!({&quot;comment&quot;, %{a: 1}}) &quot;---\\n# comment\\na: 1\\n&quot; iex&gt; Ymlr.document!({[&quot;comment 1&quot;, &quot;comment 2&quot;], %{a: 1}}) &quot;---\\n# comment 1\\n# comment 2\\na: 1\\n&quot; iex&gt; Ymlr.document!({[], {&quot;a&quot;, &quot;b&quot;}}) ** (ArgumentError) The given data {&quot;a&quot;, &quot;b&quot;} cannot be converted to YAML.","ref":"Ymlr.html#document!/1","title":"Ymlr.document!/1","type":"function"},{"doc":"Encodes a given list of data as &quot;---&quot; separated YAML documents.Examplesiex&gt; Ymlr.documents([%{a: 1}]) {:ok, &quot;---\\na: 1\\n&quot;} iex&gt; Ymlr.documents([%{a: 1}, %{b: 2}]) {:ok, &quot;---\\na: 1\\n\\n---\\nb: 2\\n&quot;} iex&gt; Ymlr.documents([{[], {&quot;a&quot;, &quot;b&quot;}}]) {:error, &quot;The given data {\\&quot;a\\&quot;, \\&quot;b\\&quot;} cannot be converted to YAML.&quot;} iex&gt; Ymlr.documents(%{a: &quot;a&quot;}) {:error, &quot;The given argument is not a list of documents. Use document/1, document/2, document!/1 or document!/2 for a single document.&quot;}","ref":"Ymlr.html#documents/1","title":"Ymlr.documents/1","type":"function"},{"doc":"Encodes a given list of data as &quot;---&quot; separated YAML documents. Raises if it cannot be encoded.Examplesiex&gt; Ymlr.documents!([%{a: 1}]) &quot;---\\na: 1\\n&quot; iex&gt; Ymlr.documents!([%{a: 1}, %{b: 2}]) &quot;---\\na: 1\\n\\n---\\nb: 2\\n&quot; iex&gt; Ymlr.documents!([{[], {&quot;a&quot;, &quot;b&quot;}}]) ** (ArgumentError) The given data {&quot;a&quot;, &quot;b&quot;} cannot be converted to YAML. iex&gt; Ymlr.documents!(%{a: &quot;a&quot;}) ** (ArgumentError) The given argument is not a list of documents. Use document/1, document/2, document!/1 or document!/2 for a single document.","ref":"Ymlr.html#documents!/1","title":"Ymlr.documents!/1","type":"function"},{"doc":"","ref":"Ymlr.html#t:document/0","title":"Ymlr.document/0","type":"type"},{"doc":"Encodes data into YAML strings.","ref":"Ymlr.Encoder.html","title":"Ymlr.Encoder","type":"module"},{"doc":"Encodes the given data as YAML string.Examplesiex&gt; Ymlr.Encoder.to_s(%{a: 1, b: 2}) {:ok, &quot;a: 1\\nb: 2&quot;} iex&gt; Ymlr.Encoder.to_s({&quot;a&quot;, &quot;b&quot;}) {:error, &quot;The given data {\\&quot;a\\&quot;, \\&quot;b\\&quot;} cannot be converted to YAML.&quot;}","ref":"Ymlr.Encoder.html#to_s/1","title":"Ymlr.Encoder.to_s/1","type":"function"},{"doc":"Encodes the given data as YAML string. Raises if it cannot be encoded.Examplesiex&gt; Ymlr.Encoder.to_s!(%{}) &quot;{}&quot; iex&gt; Ymlr.Encoder.to_s!(%{a: 1, b: 2}) &quot;a: 1\\nb: 2&quot; iex&gt; Ymlr.Encoder.to_s!(%{&quot;a&quot; =&gt; &quot;a&quot;, &quot;b&quot; =&gt; :b, &quot;c&quot; =&gt; &quot;true&quot;, &quot;d&quot; =&gt; &quot;100&quot;}) &quot;a: a\\nb: b\\nc: &#39;true&#39;\\nd: &#39;100&#39;&quot; iex&gt; Ymlr.Encoder.to_s!({&quot;a&quot;, &quot;b&quot;}) ** (ArgumentError) The given data {&quot;a&quot;, &quot;b&quot;} cannot be converted to YAML.","ref":"Ymlr.Encoder.html#to_s!/1","title":"Ymlr.Encoder.to_s!/1","type":"function"},{"doc":"","ref":"Ymlr.Encoder.html#t:data/0","title":"Ymlr.Encoder.data/0","type":"type"}]